| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::PageContentCollectionFactory Class Referenceabstract
Optional Components » Paging

Define the interface to a factory class that will create subclasses of PageContentCollection. More...

`#include <OgrePageContentCollectionFactory.h>`

Inheritance diagram for Ogre::PageContentCollectionFactory:
[legend]

## Public Member Functions
| PageContentCollectionFactory ()
virtual | ~PageContentCollectionFactory ()
virtual PageContentCollection * | createInstance ()=0
virtual void | destroyInstance (PageContentCollection *)=0
virtual const String & | getName () const =0

## Detailed Description

Define the interface to a factory class that will create subclasses of PageContentCollection.

## Constructor & Destructor Documentation

## ◆ PageContentCollectionFactory()

Ogre::PageContentCollectionFactory::PageContentCollectionFactory | ( |  | ) |
| inline

## ◆ ~PageContentCollectionFactory()

virtual Ogre::PageContentCollectionFactory::~PageContentCollectionFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getName()

virtual const String& Ogre::PageContentCollectionFactory::getName | ( |  | ) | const
| pure virtual

Implemented in Ogre::SimplePageContentCollectionFactory.

## ◆ createInstance()

virtual PageContentCollection* Ogre::PageContentCollectionFactory::createInstance | ( |  | ) |
| pure virtual

Implemented in Ogre::SimplePageContentCollectionFactory.

## ◆ destroyInstance()

virtual void Ogre::PageContentCollectionFactory::destroyInstance | ( | PageContentCollection * |  | ) |
| pure virtual

Implemented in Ogre::SimplePageContentCollectionFactory.

The documentation for this class was generated from the following file:

- OgrePageContentCollectionFactory.h